<?php
include_once("../incs/conf.php");
include_once("../incs/fmysql.php");
include_once("../incs/fnc2.php");
include_once("../incs/head2.php");
head("Админ панель - Настройки",$meuser,$auth);

if($on==1 && $user[level]==4 OR $user[level]==6 OR $user[level]==7 OR $user[level]==8 OR $user[level]>=9){
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Админ панель</a> - Настройки</div>";

$act=$_GET['act'];

switch($act){

case'admin':
echo "Список администрации:<br>";

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `user` WHERE `level` > '1'"));

if($on==1){
$end=$user[msg_for_page];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$spis_adm=mysql_query("SELECT * FROM `user` WHERE `level` > '1' ORDER BY level DESC LIMIT $start,$end");
while ($spis_admin = mysql_fetch_array($spis_adm))
{
if($num==1){ 
echo "<div class='reki'>"; 
$num=0;
}else{ 
echo "<div class='rek'>"; 
$num=1;}
$i=$i+1;
$level=$spis_admin[level];
if($level==0){
$level_p='Пользователь';
}
if($level==1){
$level_p='VIP-Пользователь';
}
if($level==2){
$level_p='Модератор чата';
}
if($level==3){
$level_p='Модератор форума';
}
if($level==4){
$level_p='Модератор ЗЦ';
}
if($level==5){
$level_p='Модератор чата, форума';
}
if($level==6){
$level_p='Модератор чата, ЗЦ';
}
if($level==7){
$level_p='Модератор ЗЦ, форума';
}
if($level==8){
$level_p='Модератор чата, ЗЦ, форума';
}
if($level==9){
$level_p='Старшый Модератор';
}
if($level==10){
$level_p='Администратор';
}
if($level==11){
$level_p='Создатель';
}
echo "$i. <a href=\"../my.php?id=$spis_admin[id]\">$spis_admin[nick]</a> - $level_p<br>";
if($user[level]>=9){
echo "<a href=\"../admin/user.php?id=$spis_admin[id]\">Редактировать профиль</a>";
}
echo "</div>";
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo "<span class=\"str_t\">$i</span>";
}else{
echo "<span class=\"str_l\"><a href='set.php?act=admin&page=$i'>$i</a></span>";
}}}

break;

case'sbros':
echo "Вы действительно хотите сбросить настройки?<br>";
echo "<div class='menu'><a href=\"set.php?act=sbros_ok\">Да, сбросить</a></div>";
echo "<div class='menu'><a href=\"index.php\">Нет, вернутса</a></div>";
break;

case'sbros_ok':
mysql_query("TRUNCATE TABLE `settings`");
mysql_query("INSERT INTO `settings` (`reg`) values('0')");
echo "Настройки сброшены!";
break;

case'del_kontakt':
echo "Вы действительно хотите очистить контакты?<br>";
echo "<div class='menu'><a href=\"set.php?act=del_kontakt_ok\">Да, очистить</a></div>";
echo "<div class='menu'><a href=\"index.php\">Нет, вернутса</a></div>";
break;

case'del_kontakt_ok':
mysql_query("TRUNCATE TABLE `mail_kontakt`");
echo "Контакты очищены!";
break;

case'del_mail':
echo "Вы действительно хотите очистить почту?<br>";
echo "<div class='menu'><a href=\"set.php?act=del_mail_ok\">Да, очистить</a></div>";
echo "<div class='menu'><a href=\"index.php\">Нет, вернутса</a></div>";
break;

case'del_mail_ok':
mysql_query("TRUNCATE TABLE `mail`");
echo "Почта очищена!";
break;

case'obmen_schit':

$obmen_fil=mysql_query("SELECT * FROM `obmen` WHERE `ras` != ''");
while ($obmen_file = mysql_fetch_array($obmen_fil))
{
if(is_file("../obmen/$obmen_file[id]$obmen_file[ras]")){
$qw=1;
}else{
mysql_query("DELETE FROM `obmen` WHERE `id` = '$obmen_file[id]'");
}
}
echo "Файлы в обменнике пересчитаны!";
break;

}

}else{
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Админ панель</a> - Настройки</div>";
echo "Извени, но тебе здесь находитса нельзя!<br>";
}
include_once("../incs/down2.php");
?>